Bug 825822 - Don't add unnecessary dependency on dos2unix
Don't add unnecessary dependency on dos2unix
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ois (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 11:03 EDT by Matěj Cepl
Modified: 2018-04-11 09:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 23:33:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch on .spec file (754 bytes, patch)
2012-05-28 11:03 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2012-05-28 11:03:17 EDT
Created attachment 587247 [details]
suggested patch on .spec file

Description of problem:
Using dos2unix in .spec file is unnecessary and it adds useless dependency on another external package.

Version-Release number of selected component (if applicable):
ois-1.3.0-2

How reproducible:
100%

Steps to Reproduce:
1.Try to rebuild the package on a system with minimal installation
2.
3.
  
Actual results:
missing dependency on dos2unix package

Expected results:
we should prefer already available tools

Additional info:
Comment 1 Bruno Wolff III 2012-05-29 08:30:58 EDT
Just because this happens to work now, doesn't mean it always will. Worst case the build requires does nothing. I wouldn't want to remove it without some way of knowing that it is guaranteed to be pulled in or that it was documented that it can be considered available. Particularly since this a build time requirement, not a run time requirement, this doesn't have much affect for most people.
Comment 2 Matěj Cepl 2012-05-29 09:41:08 EDT
(In reply to comment #1)
> Just because this happens to work now, doesn't mean it always will.

You expect sudden disappearance of sed from Linux? That would be quite interesting. Anyway ... as you wish, you are the maintainer.
Comment 3 Bruno Wolff III 2012-05-30 09:01:31 EDT
This seems to be a different suggestion. Rather than drop the dependency, switch to using something that would be pulled in always. It won't be high priority, but I'll look at what we have documented as the way to strip carriage returns. If that there isn't anything, I'll look to see if there is a tool that can do that that can assumed to be present that can do that and propose documenting that in the packaging guidelines.
Comment 4 Fedora End Of Life 2013-04-03 10:05:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Bruno Wolff III 2014-11-17 09:21:56 EST
There is an example of using sed to do this on the packaging tricks page. sed is guaranteed to be in the buildroot. I'll change both ois and meshmagick to use sed. If I run across it in other packages I maintain (when just used for line endings, encoding issues might justify its use) I'll change it as well.
Example: sed -i "s|\r||g" file.txt
Comment 6 Bruno Wolff III 2014-11-18 23:33:06 EST
Thank you for suggesting this change. The latest rawhide build no longer buildrequires dos2unix.

Note You need to log in before you can comment on or make changes to this bug.